import { DialogRequest } from "../proxy/DialogRequest";
import { RecordVisitor } from "../proxy/RecordVisitor";
import { SessionVisitor } from "../proxy/SessionVisitor";
import { StringDictionary } from "../util/StringDictionary";
import { SdaDialogDelegateStateVisitor } from "./SdaDialogDelegateStateVisitor";
export declare class SdaDialogDelegateTools {
    static BRIEFCASE_ROOT_DIALOG_ID: string;
    static BRIEFCASE_COMMENTS_DIALOG_ID: string;
    static BRIEFCASE_DETAILS_DIALOG_ID: string;
    static BRIEFCASE_WORK_PACKAGES_DIALOG_ID: string;
    static BRIEFCASE_ENTER_OFFLINE_DETAILS_DIALOG_ID: string;
    static BRIEFCASE_ENTER_OFFLINE_ROOT_DIALOG_ID: string;
    static BRIEFCASE_DETAILS_DIALOG_NAME: string;
    static BRIEFCASE_MOBILE_COMMENTS_DIALOG_NAME: string;
    static BRIEFCASE_ROOT_DIALOG_NAME: string;
    static BRIEFCASE_WORK_PACKAGES_DIALOG_NAME: string;
    static BRIEFCASE_ENTER_OFFLINE_DETAILS_DIALOG_NAME: string;
    static DOCUMENTS_LIST_DIALOG_NAME: string;
    static DOCUMENTS_PROPERTIES_DIALOG_NAME: string;
    static DOCUMENTS_ROOT_DIALOG_NAME: string;
    static MOBILE_COMMENT_DETAILS_PROPERTIES_DIALOG_NAME: string;
    static MOBILE_COMMENT_DETAILS_ROOT_DIALOG_NAME: string;
    static MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_DETAILS_DIALOG_ID: string;
    static MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_DETAILS_DIALOG_NAME: string;
    static MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_ROOT_DIALOG_ID: string;
    static MOBILE_COMMENT_IMAGE_NOT_AVAILABLE_ROOT_DIALOG_NAME: string;
    static MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_DETAILS_DIALOG_ID: string;
    static MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_DETAILS_DIALOG_NAME: string;
    static MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_ROOT_DIALOG_ID: string;
    static MOBILE_COMMENT_COMMENT_NOT_AVAILABLE_ROOT_DIALOG_NAME: string;
    static TAGS_ROOT_DIALOG_NAME: string;
    static TAGS_PROPERTIES_DIALOG_NAME: string;
    static TAGS_LIST_DIALOG_NAME: string;
    static TAG_DETAILS_ROOT_DIALOG_NAME: string;
    static TAG_DETAILS_PROPERTIES_DIALOG_NAME: string;
    static TAG_DETAILS_LIST_DIALOG_NAME: string;
    static WORK_PACKAGES_LIST_DIALOG_NAME: string;
    static WORK_PACKAGES_ROOT_DIALOG_NAME: string;
    private static OFFLINE_DOCUMENTS_DIALOG_PROPERTIES_ID_PREFIX;
    private static OFFLINE_TAGS_DIALOG_PROPERTIES_ID_PREFIX;
    private static ADD_TO_BRIEFCASE_MENU_ACTION_ID;
    private static BRIEFCASE_WORKBENCH_ACTION_ID;
    private static ENTER_OFFLINE_MODE_MENU_ACTION_ID;
    private static EXIT_OFFLINE_MODE_MENU_ACTION_ID;
    private static REMOVE_FROM_BRIEFCASE_MENU_ACTION_ID;
    private static EDITOR_DIALOG_MODEL_TYPE;
    private static RECORD_SET_MODEL_TYPE;
    private static SESSION_ID_MODEL_TYPE;
    private static DIALOG_DELEGATE_STATE_KEY_SUFFIX;
    private static DIALOG_DELEGATE_STATE_KEY;
    private static OFFLINE_SESSION_KEY;
    static constructAddToBriefcaseNullRedirection(tenantId: string, sessionId: string, referringDialogId: string): StringDictionary;
    static constructBriefcaseEnterOfflineDetailsNullRedirection(tenantId: string, sessionId: string, refreshNeeded: boolean): StringDictionary;
    static constructExitOfflineModeNullRedirection(tenantId: string, sessionId: string): StringDictionary;
    static constructOfflineLogoutResponse(sessionId: string): {
        "sessionId": string;
        "type": string;
    };
    static constructRemoveFromBriefcaseNullRedirection(tenantId: string, sessionId: string, referringDialogId: string): StringDictionary;
    static createOfflineLoginHash(tenantId: string, sessionId: string, userId: string, password: string): string;
    static isBriefcaseEnterOfflineDetailsDialogId(dialogId: string): boolean;
    static isBriefcaseEnterOfflineDialogId(dialogId: string): boolean;
    static isBriefcaseWorkbenchActionRequest(dialogRequest: DialogRequest): boolean;
    static isEnterOfflineModeMenuActionRequest(dialogRequest: DialogRequest): boolean;
    static isExitOfflineModeMenuActionRequest(dialogRequest: DialogRequest): boolean;
    static isOfflineBriefcaseCommentsRecordSetRequest(dialogRequest: DialogRequest): boolean;
    static isOfflineBriefcaseDialogId(dialogId: string): boolean;
    static isOfflineBriefcaseDetailsDialogId(dialogId: string): boolean;
    static isOfflineBriefcaseWorkPackagesDialogId(dialogId: string): boolean;
    static isOfflineBriefcaseWorkPackagesRequest(dialogRequest: DialogRequest): boolean;
    static isOfflineDocumentsPropertiesDialogId(dialogId: string): boolean;
    static isOfflineTagsPropertiesDialogId(dialogId: string): boolean;
    static isWorkPackagesAddToBriefcaseMenuActionRequest(dialogRequest: DialogRequest): boolean;
    static isWorkPackagesListRecordSet(dialogRequest: DialogRequest, jsonObject: any): boolean;
    static isWorkPackagesRemoveFromBriefcaseMenuActionRequest(dialogRequest: DialogRequest): boolean;
    static isWorkPackagesRootDialog(jsonObject: any): boolean;
    static insertBriefcaseMetaDataIntoWorkPackagesDialog(originalDialog: StringDictionary): StringDictionary;
    static readDialogDelegateStateKeys(tenantId: string): Promise<string[]>;
    static readDialogDelegateStateVisitor(tenantId: string, userId: string): Promise<SdaDialogDelegateStateVisitor>;
    static readOfflineDocumentsPropertiesRecord(tenantId: string, userId: string, dialogId: string): Promise<RecordVisitor>;
    static readOfflineSession(tenantId: string, userId: string): Promise<SessionVisitor>;
    static readOfflineTagsPropertiesRecord(tenantId: string, userId: string, dialogId: string): Promise<RecordVisitor>;
    static startsWithBriefcaseRootDialogId(dialogId: string): boolean;
    static writeDialogDelegateState(tenantId: string, stateVisitor: SdaDialogDelegateStateVisitor): Promise<void>;
    static writeOfflineSession(tenantId: string, userId: string, offlineSessionVisitor: SessionVisitor): Promise<void>;
    private static createStorageKey;
}
